Net::Amazon::Request::Manufacturer - Class for submitting Manufacturer requests use Net::Amazon; use Net::Amazon::Request::Manufacturer; my $ua = Net::Amazon->new( token => 'YOUR_AMZN_TOKEN' ); my $req = Net::Amazon::Request::Manufacturer->new( manufacturer => 'Disney' ); # Response is of type Net::Amazon::Response::Manufacturer my $resp = $ua->request($req); "Net::Amazon::Request::Manufacturer" is a class used to submit searches for items made by a given manufacturer. The manufacturer to search for is specified in the "manufacturer" parameter. Upon success, the responses' "properties()" method will return one or more "Net::Amazon::Property::*" objects.

METHODS
Constructs a new "Net::Amazon::Request::Manufacturer" object, used to query the Amazon web service for an item with the specified manufacturer name. Check Net::Amazon::Request for common request parameters not listed here. Bill Fitzpatrick Mike Schilli, <m@perlmeister.com>